.page-container.landing-container.text-center
  %div
    %h1.page-headline
      = solution.display_name
    %h2.page-subtitle
      = solution.description

- if (solution.body != "")
  .feature-gallery-alt.text-center
    %p.solution-body
      = solution.body

.page-container.product-categories-container.text-center
  .container.titles
    %h1
      Product categories
    .gitlab-content-container-full.margin-top40
      .content
        .grid-layout.grid-layout2
          - Gitlab::Homepage::Category.all!.select{|category| category.marketing}.each do |category|
            - url = category.best_link
            - badge = nil
            - if category.maturity == 'planned'
              - badge = 'Future Category'
            - if solution.display_name.downcase === category.stage
              .grid-item.fiex-container.flex-column.flex-start.text-left
                %a.category-title.flex-container.align-center.full-width{ href: "#{url}", :"data-ga-name" => "#{category.name.downcase}", :"data-ga-location" => "body" }
                  = image_tag "/images/devops-tools/gitlab-logo.svg", class: "category-logo", alt: "GitLab logo svg"
                  %h3.margin0{ id: "#{category.key.gsub('_', '-').downcase}" }
                    = category.name
                  - unless badge.nil?
                    .badge-container.top-row
                      .badge.available
                        = badge
                - if category.description? || category.description != ""
                  %p.margin-top20
                    = category.description
                %a.learn-more.flex-container.align-center{ href: "#{url}", :"data-ga-name" => "#{category.name.downcase} learn more", :"data-ga-location" => "body"}
                  Learn More →

.page-container.feature-gallery-alt.text-center
  - if solution.cta
    = partial "#{solution.cta}"
  .container.titles
    %h1
      Direction
    .direction
      %p
        Learn more about our roadmap for upcoming features on our
        = succeed "." do
          %a.learn-more{ href: "/direction/#{solution.display_name.downcase}/", :"data-ga-name" => "#{solution.display_name.downcase} direction", :"data-ga-location" => "body"}Direction page

- if (defined?(solution.related))
  .page-container.feature-gallery.text-center
    .container.titles
      %h1
        Related
      .related-solutions
        - solution.related.each do |related_solution|
          .related-solution-item
            = link_to "/stages-devops-lifecycle/#{related_solution}/", :"data-ga-name" => "#{related_solution}", :"data-ga-location" => "body" do
              %p
                = data.stages.stages.public_send(related_solution).display_name
              %p
                = data.stages.stages.public_send(related_solution).description
